> For the complete documentation index, see [llms.txt](https://docs.manifold.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.manifold.xyz/client-sdk/reference/transactionprogress.md).

# TransactionProgress

| Field           | Type                                                           | Required | Description                                                                                                                                                                                              |
| --------------- | -------------------------------------------------------------- | -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| status          | enum                                                           | ✅        | `pending-approval`                                                                                                                                                                                       |
| steps           | [TransactionStep](/client-sdk/reference/transactionstep.md)\[] | ✅        | This is the full steps object as it’s returned by the api and enhanced with some additional properties on the client. Notably the step status has been updated as well as any errors have been attached. |
| **currentStep** | [TransactionStep](/client-sdk/reference/transactionstep.md)    | ✅        | We’ve conveniently pinpointed the current step that’s being processed and made it accessible in this callback.                                                                                           |
| receipts        | [Receipt](/client-sdk/reference/receipt.md)\[]                 | ❌        | A full list of all the transaction hashes that have been processed so far during execution.                                                                                                              |
| data            | object                                                         | ❌        | Additional context data                                                                                                                                                                                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.manifold.xyz/client-sdk/reference/transactionprogress.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
